## eztrace 0.7

=== test/memory/Makefile ===
# Copyright  CNRS, INRIA, Universit Bordeaux 1
# See COPYING in top-level directory.

BINARIES = memory

all: $(BINARIES)

memory: memory.o
	$(CC) -o memory memory.c $(CFLAGS) $(LDFLAGS) $(LIBS) -lpthread

clean:
	rm -f  *.o $(BINARIES)
