=== test/mpi/Makefile ===
# Copyright  CNRS, INRIA, Universit Bordeaux 1
# See COPYING in top-level directory.

BINARIES = mpi_ping test_mpi test_mpi_f mpi_ring persistent mpi_spawn mpi_openmp mpi_multiring waitany allgather waitall
# BINARIES += mpi_ping_vt
MPICC ?= mpicc
MPIF77 ?= mpif77
CC=$(MPICC)

all: $(BINARIES)

test_mpi_f: test_mpi_f.f
	$(MPIF77) -o test_mpi_f test_mpi_f.f

mpi_ping_vt: mpi_ping.c
	mpicc-vt -o mpi_ping_vt mpi_ping.c
#	vtcc -vt:cc $(MPICC) -o mpi_ping_vt mpi_ping.c

mpi_openmp: mpi_openmp.c
	$(MPICC) -o mpi_openmp mpi_openmp.c -fopenmp

clean:
	rm -f  *.o $(BINARIES)
