=== test/openmp/Makefile ===
# Copyright  CNRS, INRIA, Universit Bordeaux 1
# See COPYING in top-level directory.

APPS:= simple openmp_nowait_c openmp_nowait

CC?=gcc
FC?=gfortran

all: $(APPS)

simple: simple.c
	$(CC) -o simple simple.c -fopenmp -lm $(CFLAGS) $(LDFLAGS)

openmp_nowait_c: openmp_nowait_c.c
	$(CC) -o openmp_nowait_c openmp_nowait_c.c -fopenmp -lm $(CFLAGS) $(LDFLAGS)

openmp_nowait: openmp_nowait.f
	$(FC) -o openmp_nowait openmp_nowait.f -fopenmp -lm $(CFLAGS) $(LDFLAGS)

clean:
	rm -f $(APPS)
