=== test/pthread/Makefile ===
# Copyright  CNRS, INRIA, Universit Bordeaux 1
# See COPYING in top-level directory.

BINARIES = dummy_thread cond test_pthread test_sigsegv

all: $(BINARIES)

test_pthread: test_pthread.c
	$(CC) -o test_pthread test_pthread.c $(LDFLAGS) $(CFLAGS) -lpthread

test_sigsegv: test_sigsegv.c
	$(CC) -o test_sigsegv test_sigsegv.c -rdynamic

dummy_thread: dummy_thread.o
	$(CC) -o dummy_thread dummy_thread.o $(LDFLAGS) $(LIBS) -lpthread

dummy_thread.o: dummy_thread.c
	$(CC) -c dummy_thread.c $(CFLAGS)

cond: cond.o
	$(CC) -o cond cond.o $(LDFLAGS) $(LIBS) -lpthread

cond.o: cond.c
	$(CC) -c cond.c $(CFLAGS)

clean:
	rm -f  *.o $(BINARIES)
