=== test/stdio/Makefile ===
# Copyright  CNRS, INRIA, Universit Bordeaux 1
# See COPYING in top-level directory.

BINARIES = stdio

all: $(BINARIES)

stdio: stdio.o
	$(CC) -o stdio stdio.c $(CFLAGS) $(LDFLAGS) $(LIBS) -lpthread

clean:
	rm -f  *.o $(BINARIES)
