## eztrace 0.7-2

=== debian/changelog ===
eztrace (0.7-2-4) unstable; urgency=low

  * patches/plugins-abi-version: Fix abi version in configure.ac instead of
    source code, as it is needed in several places.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 30 Jun 2012 10:25:42 -0300

eztrace (0.7-2-3) unstable; urgency=low

  * patches/plugins-abi-version: Fix module loading without libeztrace-dev
    installed by making eztrace load with abi version, not just .so.
  * Only ship /usr/include/eztrace*

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Jun 2012 13:16:49 -0300

eztrace (0.7-2-2) unstable; urgency=low

  * control: Move eztrace to section devel.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 24 May 2012 01:22:08 +0200

eztrace (0.7-2-1) unstable; urgency=low

  * Initial release (Closes: 658116)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 May 2012 21:29:16 +0200
