=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_HARDENING=1

%:
	dh $@  --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-mpi-include=/usr/include/mpi --with-fxt=/usr --with-gtg=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
