=== debian/changelog ===
eztrace (0.9.1-5) unstable; urgency=low

  * control: Replace binutils-dev build-dependency with libiberty-dev for
    libiberty.a
    (Closes: #730945).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Dec 2013 16:31:23 +0100

eztrace (0.9.1-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.5 (no changes).
  * patches/static-bfd: Link against libbfd statically to avoid rebuilding on
    each and every binutils upload (Closes: #728084).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Nov 2013 16:05:36 +0100

eztrace (0.9.1-3) unstable; urgency=medium

  * patches/manpages: Import manpages from upstream trunk.
  * control: Make eztrace depend on the same version of libeztrace0.
  * patches/libdir: Fix autostart load by fixing multiarch libdir.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 09 Oct 2013 19:01:27 +0200

eztrace (0.9.1-2) unstable; urgency=low

  * patches/pptrace-option: Add --without-pptrace option.
  * rules: Disable pptrace on non-linux-x86 ports.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 06 Sep 2013 00:23:00 +0200

eztrace (0.9.1-1) unstable; urgency=low

  * New upstream release.
    - patches/parameter_parsing_crash: Drop, merged upstream.
    - docs: Add README.stats.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Sep 2013 17:33:34 +0200

eztrace (0.9-1) unstable; urgency=low

  * New upstream release.
    - patches/gtg: Remove, fixed upstream.
    - patches/extlib: Refresh.
    - control: switch to opari2.
  * Bump Standards-Version to 3.9.4 (no changes).
  * rules: Disable PIE hardening, it makes the static test module hang.
  * patches/test-fix: Fix test segfault.
  * patches/plugins-abi-version: Fix static test module too.
  * patches/mpi-fix: Fix list issue in MPI conversion.
  * patches/mpi3: Fix bindnow support when MPI3 is not supported.
  * control: add mpirun.
  * patches/no-libpomp: Do not build a libpomp, use the one from libpomp2-dev.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Sep 2013 16:30:05 +0200

eztrace (0.7-2-5) unstable; urgency=low

  * control: Make libeztrace-dev Multi-Arch: same.
  * patches/parameter_parsing_crash: Fix a parameter parsing crash.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 27 Jun 2013 14:21:44 +0200
