=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 8.0.0), dh-autoreconf,
  hardening-wrapper, gfortran,
- libfxt-dev, libgtg-dev, libpomp-dev,
- mpi-default-dev
-Standards-Version: 3.9.3
+ libiberty-dev, libfxt-dev, fxt-tools, libgtg-dev, libpomp2-dev,
+ mpi-default-dev, mpi-default-bin
+Build-Conflicts: libeztrace0
+Standards-Version: 3.9.5
 Homepage: http://eztrace.gforge.inria.fr/
 Vcs-Git: git://git.debian.org/collab-maint/eztrace.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/eztrace.git;a=summary
@@ -14,7 +15,7 @@
 Package: eztrace
 Section: devel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, opari
+Depends: ${shlibs:Depends}, ${misc:Depends}, libeztrace0 (= ${binary:Version}), opari2
 Description: Automatic execution trace generation for HPC - tools
  EZTrace is a tool that aims at generating automatically execution traces
  from HPC (High Performance Computing) programs. It generates execution
@@ -27,6 +28,7 @@
 Package: libeztrace-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libeztrace0 (= ${binary:Version}), ${misc:Depends}
 Description: Automatic execution trace generation for HPC - development files
  EZTrace is a tool that aims at generating automatically execution traces
