=== debian/watch ===
version=3
https://gforge.inria.fr/frs/?group_id=2774 /frs/download.php/.*/eztrace-(.*)\.tar\.gz
