## eztrace 1.0.6

=== debian/changelog ===
eztrace (1.0.6-5) unstable; urgency=medium

  * patches/git-1f988a88ea495623164c073d5bd99220b4b3fcde: Cherry-pick from
    upstream to fix gcc-5 build (Closes: Bug#777847).
  * watch: Generalize URL.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 16 Jun 2015 23:46:06 +0200

eztrace (1.0.6-4) unstable; urgency=medium

  * patches/libdir: Fix plugin path search for the pptrace case
    (closes: Bug#775286).
  * rules: Do not strip modules for pptrace auto-load, otherwise they won't be
    loadable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Jan 2015 14:52:50 +0100

eztrace (1.0.6-3) unstable; urgency=medium

  * patches/git-ebe444a: Cherry-pick from upstream to fix uninitialized value.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 02 Dec 2014 22:56:57 +0100

eztrace (1.0.6-2) unstable; urgency=medium

  [ Peter Michael Green ]
  * Remove -march=armv7-a from CFLAGS (Closes: Bug#770793).

  [ Samuel Thibault ]
  * Only enable pptrace support (which needs armv7) on armhf.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Nov 2014 14:38:20 +0100

eztrace (1.0.6-1) unstable; urgency=medium

  * New upstream release.
  * patches/git-0cb79edc3411c0e04e411d7c8f60a6596632a4ea: Fix bogus
    parameters (Closes: Bug#760502).
  * patches/git-8be2d52dfe036666a75160aa33531a52d5f2257a: Fix licence
    advertised in documentation.
  * patches/pptrace, non_linux: Remove, merged upstream.
  * patches/check: Remove, fixed upstream.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 23 Oct 2014 15:56:45 +0200

eztrace (1.0.5-3) unstable; urgency=medium

  * Disable EZTRACE_SIGALRM on !linux.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Sep 2014 15:43:43 +0200

eztrace (1.0.5-2) unstable; urgency=medium

  * Fix disabling pptrace on !linux !amd64 !arm.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Sep 2014 18:05:24 +0200

eztrace (1.0.5-1) unstable; urgency=medium

  * New upstream release.
    - patches/fix_fortran_mpi_scatterv.patch: Remove, fixed upstream.
    - patches/Fix-fortan-communications-using-MPI_IN_PLACE-option.patch:
    Remove, fixed upstream.
    - patches/rpath: Remove, fixed upstream.
    - patches/static-bfd: Refresh.
  * rules: Fix calling testsuite.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Sep 2014 17:23:49 +0200

eztrace (1.0.1-2) unstable; urgency=medium

  * patches/fix_fortran_mpi_scatterv.patch: Patch from Bertrand Putigny to fix
    the MPIF_Scatterv call.
  * patches/Fix-fortan-communications-using-MPI_IN_PLACE-option.patch: Patch
    from Bertrand Putigny to fix fortran mpi communications using MPI_IN_PLACE.
  * rules: Add parallel build support.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Sep 2014 14:01:53 +0200

eztrace (1.0.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * control: Do not depend on openmpi on s390x (Closes: Bug#754624).
  * rules: Do not build against openmpi on s390x. Drop duplicate
  --with-mpi-include option. Run the testsuite against openmpi on other archs.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 13 Jul 2014 16:29:46 +0200

eztrace (1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add missing zlib1g-dev build-dependency.
  * debian/copyright: Update, eztrace is now CeCILL-B instead of GPL2.
  * debian/rules: Build both mpich and openmpi MPI modules.
  * debian/control: Build-Depend on both mpich and openmpi.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 26 Jun 2014 09:47:38 +0200

eztrace (1.0~rc4-3-1) experimental; urgency=medium

  * New upstream half-release.
  * Disable pptrace on i386 too, as it is missing the MMAP_SYSCALLS
    definition. Enable it on arm, which now support it.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Jun 2014 13:45:12 +0200

eztrace (1.0~rc4-2-1) experimental; urgency=medium

  * New upstream half-release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Jun 2014 11:08:49 +0200

eztrace (1.0~rc4-1) experimental; urgency=medium

  * New upstream release.
    - patches/bibliography: Remove patch, fixed upstream
  * control: Add missing binutils-dev and litl-tools build-deps.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Jun 2014 18:04:42 +0200

eztrace (1.0~rc3-1) experimental; urgency=medium

  * New upstream release.
    - patches/{libdir,link}: Remove patch, fixed upstream.
    - patches/bibliography: Fix building the documentation.
  * Do not install static libraries.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 11 Jun 2014 09:13:23 +0200

eztrace (1.0~rc1-2) experimental; urgency=medium

  * Depend on libpapi-dev only on Linux archs, and not on s390x.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 May 2014 18:46:40 +0200

eztrace (1.0~rc1-1) experimental; urgency=low

  * New upstream release.
    - patches/manpages, test-fix, mpi-fix, mpi3, pptrace-option,
    clang-ftbfs: Drop, integrated upstream.
    - control: Replace libfxt-dev build-depend with liblitl-dev.
    - rules: Replace fxt with litl.
  * patches/link: New patch, fix missing link againt liblitl.
  * patches/rpath: New patch, drop /usr/lib rpath.
  * control: Build-depend on libpapi-dev.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 May 2014 23:43:05 +0200

eztrace (0.9.1-6) unstable; urgency=low

  [ Arthur Marble ]
  * Fix FTBFS with clang (Closes: #743007).
    - Fixed the conflicting types error in
      src/core/eztrace_convert_core.c: moved a function above before where it is
      called.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Apr 2014 17:14:00 +0200
