=== debian/watch ===
version=3
https://gforge.inria.fr/frs/?group_id=2774 /frs/download.php/.*/eztrace-(\d.*)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
