=== extlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
include(ExternalProject)

ExternalProject_Add(
   libGTG
   DOWNLOAD_COMMAND ""
   PREFIX ${CMAKE_CURRENT_SOURCE_DIR}/gtg
   SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/gtg
   CONFIGURE_COMMAND cd ${CMAKE_CURRENT_SOURCE_DIR}/gtg && autoreconf -vfi && ${CMAKE_CURRENT_SOURCE_DIR}/gtg/configure --prefix=${CMAKE_CURRENT_BINARY_DIR}
   BUILD_COMMAND cd ${CMAKE_CURRENT_SOURCE_DIR}/gtg && make
   INSTALL_COMMAND cd ${CMAKE_CURRENT_SOURCE_DIR}/gtg && make install
   )

 ExternalProject_Add(
    libOpari2
    DOWNLOAD_COMMAND ""
    SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/opari2
    PREFIX ${CMAKE_CURRENT_SOURCE_DIR}/opari2
    CONFIGURE_COMMAND cd ${CMAKE_CURRENT_SOURCE_DIR}/opari2/build-frontend && autoreconf -vfi && cd .. && autoreconf -vfi && ${CMAKE_CURRENT_SOURCE_DIR}/opari2/configure --prefix=${CMAKE_CURRENT_BINARY_DIR}
    BUILD_COMMAND cd ${CMAKE_CURRENT_SOURCE_DIR}/opari2/ && make
    INSTALL_COMMAND cd ${CMAKE_CURRENT_SOURCE_DIR}/opari2 && make install
  )

add_subdirectory (litl)


install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/include/
  DESTINATION ${CMAKE_INSTALL_PREFIX}/include
  )

install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib/
  DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/)

install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin/
  DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/)
