=== example/libexample_eztrace/Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) CNRS, INRIA, Université Bordeaux 1, Télécom SudParis
+# See COPYING in top-level directory.
+
 BIN = libeztrace-convert-example.so libeztrace-autostart-example.so libeztrace-example.so
 
 # LDFLAGS=-LPATH_TO_EZTRACE/lib
