=== src/modules/CMakeLists.txt ===
# Default modules
add_subdirectory(memory)
add_subdirectory(stdio)
add_subdirectory(pthread)

# Optional modules
if (EZTRACE_ENABLE_MPI)
  add_subdirectory(mpi)
endif ()

if (EZTRACE_ENABLE_OPENMP)
  add_subdirectory(omp)
endif()

 if (EZTRACE_ENABLE_PAPI)
   add_subdirectory(papi)
 endif ()

 if (EZTRACE_ENABLE_STARPU)
   add_subdirectory(starpu)
 endif ()

 if (EZTRACE_ENABLE_CUDA)
   add_subdirectory(cuda)
endif ()
