=== src/modules/memory/CMakeLists.txt ===
#include directories
include_directories(
  ../../core
  ../../pptrace
  ${CMAKE_BINARY_DIR}/include/
)

#libraries diretory
link_directories(${CMAKE_BINARY_DIR}/lib/ ${CMAKE_BINARY_DIR}/extlib/lib/)

#libeztrace-convert-memory.so
#Cflgas
set(CMAKE_C_FLAGS ${C_FLAGS})

add_library(
  eztrace-convert-memory
  SHARED
  eztrace_convert_memory.c
)

target_link_libraries(
 eztrace-convert-memory
 gtg
 litl
)

#libeztrace-memory.so
#CFlags

add_library(
  eztrace-memory
  SHARED
  memory.c
)

target_link_libraries(
 eztrace-memory
 eztrace
 litl
 dl
)

#libeztrace-autostart-memory.so
#CFlags
add_library(
  eztrace-autostart-memory
  SHARED
  memory.c
)


target_link_libraries(
 eztrace-autostart-memory
 eztrace
 litl
 dl
)

set_target_properties(eztrace-autostart-memory PROPERTIES COMPILE_FLAGS "-DEZTRACE_AUTOSTART")
install(TARGETS eztrace-convert-memory eztrace-memory eztrace-autostart-memory LIBRARY DESTINATION lib)
