=== src/modules/papi/CMakeLists.txt ===
#include directories
include_directories(
  ../../core
  ../../pptrace
  ${CMAKE_BINARY_DIR}/include/
  ${LIBPAPI_INCLUDE_DIRS}
)
message(${LIBPAPI_LIBRARIES})
# Libraries diretory
link_directories(${CMAKE_BINARY_DIR}/lib/ ${CMAKE_BINARY_DIR}/extlib/lib/)

# Target : libeztrace-convert-papi.so
set(CMAKE_C_FLAGS ${C_FLAGS})

add_library(
  eztrace-convert-papi
  SHARED
  eztrace_convert_papi.c
)

target_link_libraries(
 eztrace-convert-papi
 gtg
 papi
)

# Target : libeztrace-papi.so
add_library(
  eztrace-papi
  SHARED
  papi.c
)

target_link_libraries(
  eztrace-papi
  eztrace
  dl
  papi
  ${INTERCEPT_LIB}
)

# Target :  libeztrace-autostart-papi.so
add_library(
  eztrace-autostart-papi
  SHARED
  papi.c
)

target_link_libraries(
 eztrace-autostart-papi
 eztrace
 pthread
 litl
  ${LIBPAPI_LIBRARIES}
)

set_target_properties (eztrace-autostart-papi PROPERTIES COMPILE_FLAGS "-DEZTRACE_AUTOSTART")
install(TARGETS eztrace-convert-papi eztrace-papi eztrace-autostart-papi LIBRARY DESTINATION lib)
