=== src/modules/pthread/CMakeLists.txt ===
# Include directories
include_directories(
  ../../core
  ../../pptrace
  ${CMAKE_BINARY_DIR}/include/
)

# Libraries diretory
link_directories(${CMAKE_BINARY_DIR}/lib/ ${CMAKE_BINARY_DIR}/extlib/lib/)

# Create : libeztrace-convert-pthread.so
set(CMAKE_C_FLAGS ${C_FLAGS})

add_library(
  eztrace-convert-pthread
  SHARED
  eztrace_convert_pthread.c
)

target_link_libraries(
 eztrace-convert-pthread
 gtg
 pthread
)

# Create : libeztrace-pthread.so
add_library(
  eztrace-pthread
  SHARED
  pthread.c
)

target_link_libraries(
 eztrace-pthread
 dl
 pthread
)

# Create : libeztrace-autostart-pthrad.so
add_library(
  eztrace-autostart-pthread
  SHARED
  pthread.c
)

target_link_libraries(
 eztrace-pthread
 eztrace
 pthread
)

set(eztrace-autostart-pthread PROPERTIES COMPILE_FLAGS "-DEZTRACE_AUTOSTART")
install(TARGETS eztrace-convert-pthread eztrace-pthread eztrace-autostart-pthread LIBRARY DESTINATION lib)
